# Whois ## Get WHOIS Record `client.Intel.Whois.Get(ctx, params) (*WhoisGetResponse, error)` **get** `/accounts/{account_id}/intel/whois` Retrieves WHOIS registration data for a domain, including registrant and nameserver information. ### Parameters - `params WhoisGetParams` - `AccountID param.Field[string]` Path param: Use to uniquely identify or reference the resource. - `Domain param.Field[string]` Query param ### Returns - `type WhoisGetResponse struct{…}` - `DNSSEC bool` - `Domain string` - `Extension string` - `Found bool` - `Nameservers []string` - `Punycode string` - `Registrant string` - `Registrar string` - `ID string` - `AdministrativeCity string` - `AdministrativeCountry string` - `AdministrativeEmail string` - `AdministrativeFax string` - `AdministrativeFaxExt string` - `AdministrativeID string` - `AdministrativeName string` - `AdministrativeOrg string` - `AdministrativePhone string` - `AdministrativePhoneExt string` - `AdministrativePostalCode string` - `AdministrativeProvince string` - `AdministrativeReferralURL string` - `AdministrativeStreet string` - `BillingCity string` - `BillingCountry string` - `BillingEmail string` - `BillingFax string` - `BillingFaxExt string` - `BillingID string` - `BillingName string` - `BillingOrg string` - `BillingPhone string` - `BillingPhoneExt string` - `BillingPostalCode string` - `BillingProvince string` - `BillingReferralURL string` - `BillingStreet string` - `CreatedDate Time` - `CreatedDateRaw string` - `ExpirationDate Time` - `ExpirationDateRaw string` - `RegistrantCity string` - `RegistrantCountry string` - `RegistrantEmail string` - `RegistrantFax string` - `RegistrantFaxExt string` - `RegistrantID string` - `RegistrantName string` - `RegistrantOrg string` - `RegistrantPhone string` - `RegistrantPhoneExt string` - `RegistrantPostalCode string` - `RegistrantProvince string` - `RegistrantReferralURL string` - `RegistrantStreet string` - `RegistrarCity string` - `RegistrarCountry string` - `RegistrarEmail string` - `RegistrarFax string` - `RegistrarFaxExt string` - `RegistrarID string` - `RegistrarName string` - `RegistrarOrg string` - `RegistrarPhone string` - `RegistrarPhoneExt string` - `RegistrarPostalCode string` - `RegistrarProvince string` - `RegistrarReferralURL string` - `RegistrarStreet string` - `Status []string` - `TechnicalCity string` - `TechnicalCountry string` - `TechnicalEmail string` - `TechnicalFax string` - `TechnicalFaxExt string` - `TechnicalID string` - `TechnicalName string` - `TechnicalOrg string` - `TechnicalPhone string` - `TechnicalPhoneExt string` - `TechnicalPostalCode string` - `TechnicalProvince string` - `TechnicalReferralURL string` - `TechnicalStreet string` - `UpdatedDate Time` - `UpdatedDateRaw string` - `WhoisServer string` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/intel" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) whois, err := client.Intel.Whois.Get(context.TODO(), intel.WhoisGetParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", whois.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "dnssec": true, "domain": "cloudflare.com", "extension": "com", "found": true, "nameservers": [ "ns3.cloudflare.com", "ns4.cloudflare.com", "ns5.cloudflare.com", "ns6.cloudflare.com", "ns7.cloudflare.com" ], "punycode": "cloudflare.com", "registrant": "registrant", "registrar": "Cloudflare, Inc.", "id": "1542998887_DOMAIN_COM-VRSN", "administrative_city": "administrative_city", "administrative_country": "administrative_country", "administrative_email": "administrative_email", "administrative_fax": "administrative_fax", "administrative_fax_ext": "administrative_fax_ext", "administrative_id": "administrative_id", "administrative_name": "administrative_name", "administrative_org": "administrative_org", "administrative_phone": "administrative_phone", "administrative_phone_ext": "administrative_phone_ext", "administrative_postal_code": "administrative_postal_code", "administrative_province": "administrative_province", "administrative_referral_url": "administrative_referral_url", "administrative_street": "administrative_street", "billing_city": "billing_city", "billing_country": "billing_country", "billing_email": "billing_email", "billing_fax": "billing_fax", "billing_fax_ext": "billing_fax_ext", "billing_id": "billing_id", "billing_name": "billing_name", "billing_org": "billing_org", "billing_phone": "billing_phone", "billing_phone_ext": "billing_phone_ext", "billing_postal_code": "billing_postal_code", "billing_province": "billing_province", "billing_referral_url": "billing_referral_url", "billing_street": "billing_street", "created_date": "2009-02-17T22:07:54.000Z", "created_date_raw": "2009-02-17T22:07:54Z", "expiration_date": "2033-02-17T22:07:54.000Z", "expiration_date_raw": "2033-02-17T22:07:54Z", "registrant_city": "registrant_city", "registrant_country": "registrant_country", "registrant_email": "registrant_email", "registrant_fax": "registrant_fax", "registrant_fax_ext": "registrant_fax_ext", "registrant_id": "registrant_id", "registrant_name": "registrant_name", "registrant_org": "registrant_org", "registrant_phone": "registrant_phone", "registrant_phone_ext": "registrant_phone_ext", "registrant_postal_code": "registrant_postal_code", "registrant_province": "registrant_province", "registrant_referral_url": "registrant_referral_url", "registrant_street": "registrant_street", "registrar_city": "registrar_city", "registrar_country": "registrar_country", "registrar_email": "registrar_email", "registrar_fax": "registrar_fax", "registrar_fax_ext": "registrar_fax_ext", "registrar_id": "registrar_id", "registrar_name": "registrar_name", "registrar_org": "registrar_org", "registrar_phone": "registrar_phone", "registrar_phone_ext": "registrar_phone_ext", "registrar_postal_code": "registrar_postal_code", "registrar_province": "registrar_province", "registrar_referral_url": "registrar_referral_url", "registrar_street": "registrar_street", "status": [ "clientdeleteprohibited", "clienttransferprohibited", "clientupdateprohibited", "serverdeleteprohibited", "servertransferprohibited", "serverupdateprohibited" ], "technical_city": "technical_city", "technical_country": "technical_country", "technical_email": "technical_email", "technical_fax": "technical_fax", "technical_fax_ext": "technical_fax_ext", "technical_id": "technical_id", "technical_name": "technical_name", "technical_org": "technical_org", "technical_phone": "technical_phone", "technical_phone_ext": "technical_phone_ext", "technical_postal_code": "technical_postal_code", "technical_province": "technical_province", "technical_referral_url": "technical_referral_url", "technical_street": "technical_street", "updated_date": "2024-01-09T16:45:28.000Z", "updated_date_raw": "2024-01-09T16:45:28Z", "whois_server": "whois.cloudflare.com" } } ``` ## Domain Types ### Whois - `type Whois struct{…}` - `CreatedDate Time` - `Domain string` - `Nameservers []string` - `Registrant string` - `RegistrantCountry string` - `RegistrantEmail string` - `RegistrantOrg string` - `Registrar string` - `UpdatedDate Time`